Operations - Check Name Availability
Check name availability
Check whether a workspace name is available
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Synapse/checkNameAvailability?api-version=2021-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| request |
The check request |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| Other Status Codes |
Examples
| Check for a workspace name that already exists |
| Check for a workspace name that is available |
Check for a workspace name that already exists
Sample request
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Synapse/checkNameAvailability?api-version=2021-06-01
{
"name": "workspace1",
"type": "Microsoft.Synapse/workspaces"
}
Sample response
{
"name": "workspace1",
"available": false,
"reason": "AlreadyExists",
"message": "Specified workspace name is already used"
}
{
"error": {
"code": "Error code",
"message": "Error message"
}
}
Check for a workspace name that is available
Sample request
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Synapse/checkNameAvailability?api-version=2021-06-01
{
"name": "workspace1",
"type": "Microsoft.ProjectArcadia/workspaces"
}
Sample response
{
"name": "workspace1",
"available": true,
"reason": null,
"message": null
}
{
"error": {
"code": "Error code",
"message": "Error message"
}
}
Definitions
| Name | Description |
|---|---|
|
Check |
Check name availability request |
|
Check |
Check name availability response |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
CheckNameAvailabilityRequest
Check name availability request
| Name | Type | Description |
|---|---|---|
| name |
string |
Workspace name |
| type |
string |
Type: workspace |
CheckNameAvailabilityResponse
Check name availability response
| Name | Type | Description |
|---|---|---|
| available |
boolean |
Whether the workspace name is available |
| message |
string |
Validation message |
| name |
string |
Workspace name |
| reason |
string |
Reason the workspace name is or is not available |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |